Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157096 - [RHEL4] Request for update to incorporate upstream patch
Summary: [RHEL4] Request for update to incorporate upstream patch
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: pygtk2
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Matthew Barnes
QA Contact:
URL:
Whiteboard: RHEL4U3NAK
Depends On: 144236
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-06 19:45 UTC by John (J5) Palmieri
Modified: 2013-03-13 04:48 UTC (History)
6 users (show)

Fixed In Version: RHBA-2007-0802
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-15 09:18:04 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0802 normal SHIPPED_LIVE pygtk2 bug fix update 2007-11-15 17:45:00 UTC

Description John (J5) Palmieri 2005-05-06 19:45:35 UTC
+++ This bug was initially created as a clone of Bug #144236 +++

Description of problem:
pygtk2 bug exposed by trying to compile matplotlib on fc3
http://www.mail-archive.com/pygtk@daa.com.au/msg09353.html

seems to be resolved with an upstream patch
http://bugzilla.gnome.org/show_bug.cgi?id=155304

Version-Release number of selected component (if applicable):
pygtk2-2.4.0-1 

Additional info:

Not sure if its worth it to you to  incorporate this patch back into
the pygtk available in fc3... but i'd really appreciate it if this fix
found its way back into fc3 pygtk2

-jef

Comment 1 John (J5) Palmieri 2005-05-06 19:50:07 UTC
Updating to bug fix version 2.4.1 on RHEL4 to fix this as it is a RHEL4 issue also.

Comment 2 John (J5) Palmieri 2005-05-16 18:04:04 UTC
Built and waiting on QA

Comment 7 Christopher Blizzard 2005-10-19 23:23:48 UTC
Devel ack for U3.

Comment 11 Matt Hyclak 2006-05-04 18:00:46 UTC
I take it this didn't make it into RHEL4U3?

Can it be destined for FastTrack?

Comment 13 C.M. Connelly 2006-12-29 03:34:52 UTC
The problem definitely still exists in RHEL 4U3.  It would be very helpful to have this fixed!

The structure of upstream's CVS repo has changed; the following are links to the viewcvs page for the 
header file and the diff view:
http://cvs.gnome.org/viewcvs/pygtk/gobject/pygobject.h?hideattic=0&rev=1.56&r1=1.45&view=log
http://cvs.gnome.org/viewcvs/pygtk/gobject/pygobject.h?hideattic=0&r1=1.44&r2=1.45

Comment 23 Matthew Barnes 2007-08-02 19:56:08 UTC
Fixed in pygtk-2.4.0-2.el4.

Comment 27 Red Hat Bugzilla 2007-08-15 09:18:05 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0802.html



Note You need to log in before you can comment on or make changes to this bug.